---
title: "Check Room Member"
slug: "check-room-member"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Room Member

Get/api/v1/rooms.isMember

Use this endpoint to check whether or not a user is a member of a specific room. If the user is not a member of the room, an error response (`error-user-not-found`) is returned. You can only get the results for the rooms that you are a member of. Otherwise, you get a forbidden error response.

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersroomIdstringRequired

Enter the room ID in which you want to check for the user.

userIdstringRequired

Enter the user ID that you want to check. Alternatively, you can use the `username` parameter and provide the user name instead of the user ID.

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='7f5e5165-1ec2-4243-8ccd-ffc7ce0ce2ae'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='b1fde91d-01dd-4752-beed-1a1ea3ce9e0c'>Example 1</option>
</select>Example 1

```json
{
  "isMember": true,
  "success": true
}
```

object  isMemberboolean    
successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='423eb74a-221b-4a99-8aa2-f4a61eb97460'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='1e720c46-141f-406b-941e-b298734b9dd0'>User not available in room</option>
<option value='c2ca9518-ccbc-4cb6-bf04-227b8807c440'>Missing user ID parameter</option>
</select>User not available in room

```json
{
  "success": false,
  "error": "error-user-not-found"
}
```

Missing user ID parameter

```json
{
  "success": false,
  "error": "must have required property 'userId'\n must have required property 'username'\n must match exactly one schema in oneOf [invalid-params]",
  "errorType": "invalid-params"
}
```

object  successboolean    
errorstring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='409e8b38-282c-4938-b866-bf5c99ccb2af'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='41042bc2-2291-4c64-8e1a-1e9ef7324c27'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
